<template>
  <div class="navbar d-flex flex-ai-center flex-jc-start" :class="{ mobile }">

    <button class="icon-button text-white ml-1 back" v-show="page == 'else'"
      @click="$emit('update:page', 'chat')">
      <v-icon name="arrow-left"/>
    </button>

    <div class="d-flex flex-row flex-ai-center ml-2 pl-1"
      :class="{ 'center': page == 'else'}">
      <img :src="$store.state.user.media[0]" class="mr-2 profile-pic d-block"
      @click="$emit('update:page', 'else')">
      <h2 class="mr-auto text-thin">My Profile</h2>
    </div>

    <!-- <button class="icon-button mh-3 text-white" :class="{ active: page === 'chat' }"
      @click="$emit('update:page', 'chat')">
      <v-icon name="comment" scale="1.5" class="fa-fw"/>
    </button> -->
    <!-- <span class="ml-auto">bbb</span> -->
  </div>
</template>

<script>
export default {
  props: {
    mobile: {
      type: Boolean,
      default: false,
    },
    page: {
      type: String,
      required: true,
    },
  },
};
</script>

<style scoped>

.navbar {
  height: 73px;
  border-bottom: 1px solid var(--color-orange);
  background: linear-gradient(to bottom left, var(--color-orange), var(--color-primary));
  color: white;

  position: relative;
}

.navbar > * {
  transition: .25s all ease-out;
}

/* button:not(.active) {
  opacity: .5;
} */

.profile-pic {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  object-fit: cover;

  cursor: pointer;

  border: 2px solid white;
}

button.back {
  position: absolute;
  left: 0;
}

.navbar div.center {
  padding: 0 !important;
  margin-left: 50% !important;
  transform: translateX(-50%);
}

@media only screen and (max-width: 550px) {
  .navbar {
    height: 60px;
  }
}

</style>
